Bug 186915 - ports-mgmt/portmaster: tries to use pkg to resolve missing dependency issue
ports-mgmt/portmaster: tries to use pkg to resolve missing dependency issue
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 11:00 UTC by kaltheat
Modified: 2014-03-15 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (403 bytes, patch)
2014-02-20 11:00 UTC, kaltheat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kaltheat 2014-02-20 11:00:00 UTC
Hi,

I recently realized that portmaster is slightly misbehaving when checking-dependencies. I did:
portmaster --check-depends

Because I have no pkg repo enabled I got a message of pkg at the end that no repo is configured.

To me it made no sense that I need an enabled repo to check dependencies so I crawled through source of portmaster and saw that pkg utility is used to check if there is a dependecy failure, but it used with wrong set of parameters, so pkg tries to resolve the error.



Regards,
kaltheat

Fix: Here's a patch to avoid this behaviour:
Comment 1 Mark Linimon freebsd_committer 2014-02-21 03:23:04 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2014-02-21 03:23:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Bryan Drewery freebsd_committer 2014-03-01 23:21:19 UTC
Thanks for reporting. I've committed something similar upstream for
this. http://git.io/HHH4dg

-- 
Regards,
Bryan Drewery
Comment 4 Bryan Drewery freebsd_committer 2014-03-01 23:22:08 UTC
State Changed
From-To: open->analyzed

Fixed upstream
Comment 5 Bryan Drewery freebsd_committer 2014-03-02 04:37:51 UTC
State Changed
From-To: analyzed->patched
Comment 6 dfilter freebsd_committer 2014-03-15 18:29:45 UTC
Author: bdrewery
Date: Sat Mar 15 18:29:41 2014
New Revision: 348366
URL: http://svnweb.freebsd.org/changeset/ports/348366
QAT: https://qat.redports.org/buildarchive/r348366/

Log:
  - Update to 3.17.4
  
  Changes:
    - Fix --check-depends with pkg [1]
    - Allow installing DEPRECATED ports
  
  PR:		ports/186915 [1]
  Submitted by:	kaltheat <kaltheat@gmail.com> [1] (based on)

Modified:
  head/ports-mgmt/portmaster/Makefile
  head/ports-mgmt/portmaster/distinfo

Modified: head/ports-mgmt/portmaster/Makefile
==============================================================================
--- head/ports-mgmt/portmaster/Makefile	Sat Mar 15 18:29:16 2014	(r348365)
+++ head/ports-mgmt/portmaster/Makefile	Sat Mar 15 18:29:41 2014	(r348366)
@@ -1,22 +1,19 @@
 # $FreeBSD$
 
 PORTNAME=	portmaster
-PORTVERSION=	3.17.3
+PORTVERSION=	3.17.4
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	LOCAL/bdrewery/${PORTNAME}/ \
   		http://mirror.shatow.net/freebsd/${PORTNAME}/ \
 		GH
-DISTNAME=	g-${GH_ACCOUNT}-${GH_PROJECT}-${PORTVERSION}-${GH_COMMIT}
-
 MAINTAINER=	bdrewery@FreeBSD.org
 COMMENT=	Manage your ports without external databases or languages
 
-LICENSE=	BSD
+LICENSE=	BSD2CLAUSE
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
-GH_COMMIT=	4b524b5
-GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	7ab77f5
 
 OPTIONS_DEFINE=	BASH ZSH
 

Modified: head/ports-mgmt/portmaster/distinfo
==============================================================================
--- head/ports-mgmt/portmaster/distinfo	Sat Mar 15 18:29:16 2014	(r348365)
+++ head/ports-mgmt/portmaster/distinfo	Sat Mar 15 18:29:41 2014	(r348366)
@@ -1,2 +1,2 @@
-SHA256 (g-freebsd-portmaster-3.17.3-4b524b5.tar.gz) = c32e0d523d33d49951a68d7464588aa357dca24c60624afad38ec7c5cd3f80b1
-SIZE (g-freebsd-portmaster-3.17.3-4b524b5.tar.gz) = 44617
+SHA256 (portmaster-3.17.4.tar.gz) = 0a2d3b5f4a31cb4567dbad2d4615eea410351c5d434a5b7919f24ae77abfa187
+SIZE (portmaster-3.17.4.tar.gz) = 44673
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Bryan Drewery freebsd_committer 2014-03-15 18:29:54 UTC
State Changed
From-To: patched->closed

Fixed